/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.openapitools.client.model.SearchEntry;

/**
 * SearchResponse
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class SearchResponse {
  public static final String SERIALIZED_NAME_VISIBLE = "visible";
  @SerializedName(SERIALIZED_NAME_VISIBLE)
  private List<SearchEntry> visible = null;

  public static final String SERIALIZED_NAME_INVISIBLE = "invisible";
  @SerializedName(SERIALIZED_NAME_INVISIBLE)
  private List<SearchEntry> invisible = null;


  public SearchResponse visible(List<SearchEntry> visible) {
    
    this.visible = visible;
    return this;
  }

  public SearchResponse addVisibleItem(SearchEntry visibleItem) {
    if (this.visible == null) {
      this.visible = new ArrayList<SearchEntry>();
    }
    this.visible.add(visibleItem);
    return this;
  }

   /**
   * The entries that are in the given bounding box (bbox, area of the map).
   * @return visible
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "The entries that are in the given bounding box (bbox, area of the map).")

  public List<SearchEntry> getVisible() {
    return visible;
  }


  public void setVisible(List<SearchEntry> visible) {
    this.visible = visible;
  }


  public SearchResponse invisible(List<SearchEntry> invisible) {
    
    this.invisible = invisible;
    return this;
  }

  public SearchResponse addInvisibleItem(SearchEntry invisibleItem) {
    if (this.invisible == null) {
      this.invisible = new ArrayList<SearchEntry>();
    }
    this.invisible.add(invisibleItem);
    return this;
  }

   /**
   * Up to 5 entries outside the bbox.
   * @return invisible
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "Up to 5 entries outside the bbox.")

  public List<SearchEntry> getInvisible() {
    return invisible;
  }


  public void setInvisible(List<SearchEntry> invisible) {
    this.invisible = invisible;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SearchResponse searchResponse = (SearchResponse) o;
    return Objects.equals(this.visible, searchResponse.visible) &&
        Objects.equals(this.invisible, searchResponse.invisible);
  }

  @Override
  public int hashCode() {
    return Objects.hash(visible, invisible);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SearchResponse {\n");
    sb.append("    visible: ").append(toIndentedString(visible)).append("\n");
    sb.append("    invisible: ").append(toIndentedString(invisible)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

